import Vue from "vue";
import Router from "vue-router";

// 解决重复点菜单报错问题
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err);
};
Vue.use(Router);

export default new Router({
  mode: 'history',
  base: '/luohe_park',
  routes: [
    { path: "/", redirect: "/demo1" },
    {
      path: "/index",
      component: () => import("../pages/index/layouts/indexLayout.vue"),
      children: [
        {
          name: "demo1",
          path: "/demo1",
          component: () => import("../pages/index/components/demo1.vue")
        },
        {
          name: "demo2",
          path: "/demo2",
          component: () => import("../pages/index/components/demo2.vue")
        },
      ]
    }
  ]
});
